Post Form Steps Decision

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Request

This endpoint expects an object.
form_step_idstringRequired
instruction_decision_idstringRequired
next_instruction_step_idstringRequired
decision_valuestringRequired
decision_colourstringOptional

Response

created Decision
idstring
ULID
instruction_step_idstring
ULID
form_idstring
ULID
started_atlong

Unix timestamp (seconds since epoch)

next_instruction_step_idstring
ULID
decision_valuestring
instruction_decisions_idstring

ULID. Deprecated, use instruction_decision_id

instruction_decision_idstring
ULID
decision_colourstring
flaggedboolean
instruction_step_titlestring
instruction_step_section_titlestring
instruction_step_descriptionstring
report_descriptionstring
terminalboolean
completed_by_user_idstring
ULID
first_stepboolean
defects_countinteger
active_defects_countinteger
inputslist of objects
actionslist of objects
commentobject
completed_by_userobject
created_atlong

Unix timestamp (seconds since epoch)

updated_atlong

Unix timestamp (seconds since epoch)